// JavaScript Document
// FAKTOREN
  /*
  Angestellte       / data-speed            Erhöhen den Geschwindigkeit
  Geschäftsführer   / data-charge           Kosten für Levelaufstieg (negativ)
  Forschung         / data-increase-rate    Multiplikator der Level-Ausbaukosten (negativ)
  Marketing         / data-profit           Profit Standard
  Niederlassungen   / data-faktor           Multiplikator Profit pro Tick  
  */ 

// Erhöht die Anzahl der angebotenen Branchen in der Kauftabelle  
function upBranchLevel() {
  
  // Holt Kontostand (account)
  var account = parseFloat($("#account").attr('data-account')); 
	
	// Holt aktuellen Level
	var level = parseInt(localStorage.getItem('branchLevel'));
  
  // Wenn 30 Level erreicht sind
  if (level == 30) {
    message(lang.allBranchesUnlocked); return; 
   }
	
	// Holt Upgrade Kosten aus der Config
	var upradeCharge = parseInt(localStorage.getItem('branchLevelUpgradeCharge'));	


  // Prüfen ob Geld ausreicht für den Kauf
  if (account < upradeCharge) {
    message(lang.notEnoughMoney); 
    return;       
  } else {            
    // Geld vom Konto abziehen        
    decreaseAccount(upradeCharge); 
  }  
  
  var newLevel = parseInt(level + 1);    
	
	// Aktualisiert Nummer-Badge
	$('#branchLevel').text(newLevel);
	
  // Berechnet Kosten für das nächste Upgrade
	var charge = (upradeCharge*newLevel);
	
  // Aktualisiert Kosten und formatiert
	$('#branchLevelUpgradeCharge').text(n(charge));
	
	// Speicherung im Storgage
	localStorage.setItem('branchLevel', newLevel);
	localStorage.setItem('branchLevelUpgradeCharge', charge);	
	localStorage.setItem('branchLevelUpgradeChargeFormat', n(charge));
  

  refreshBranchList();
	// Gibt Nachricht aus
	message(branch['branch_'+newLevel] + ' ' + lang.unlocked);
}  


// Erhöht die Anzahl der angebotenen Unternehmen in der Kauftabelle  
function upCompanyListLevel() {
  
  // Holt Kontostand (account)
  var account = parseFloat($("#account").attr('data-account')); 
	
	// Holt aktuellen Level
	var level = parseInt(localStorage.getItem('generateCompanysLevel'));
	
	// Holt Upgrade Kosten aus der Config
	var upradeCharge = parseInt(localStorage.getItem('companyListUpgradeCharge'));	


  // Prüfen ob Geld ausreicht für den Kauf
  if (account < upradeCharge) {
    message(lang.notEnoughMoney); 
    return;       
  } else {            
    // Geld vom Konto abziehen        
    decreaseAccount(upradeCharge); 
  }  
  
  var newLevel = parseInt(level + 1);    
	
	// Aktualisiert Nummer-Badge
	$('#generateCompanysLevel').text(newLevel);
	
  // Berechnet Kosten für das nchste Upgrade
	var charge = (upradeCharge*level)+upradeCharge;
	
  // Aktualisiert Kosten
	$('#companyListUpgradeCharge').text(n(charge));
	
	// Speicherung im Storgage
	localStorage.setItem('generateCompanysLevel', newLevel);
	localStorage.setItem('companyListUpgradeCharge', charge);
	localStorage.setItem('companyListUpgradeChargeFormat', n(charge));
	
	save();	
} 

// Erhöht die Anzahl der Manager 
function upSlotLevel() {
  
  // Holt Kontostand (account)
  var account = parseFloat($("#account").attr('data-account')); 
	
	// Holt aktuellen Level
	var level = parseInt(localStorage.getItem('slotLevel'));
	
	// Holt Upgrade Kosten aus der Config
	var upradeCharge = parseInt(localStorage.getItem('slotUpgradeCharge'));	


  // Prüfen ob Geld ausreicht für den Kauf
  if (account < upradeCharge) {
    message(lang.notEnoughMoney); 
    return;       
  } else {            
    // Geld vom Konto abziehen        
    decreaseAccount(upradeCharge); 
  }  
  
  var newLevel = parseInt(level + 1);    
	
	// Aktualisiert Nummer-Badge
	$('#slotLevel').text(newLevel);
	
  // Berechnet Kosten für das nchste Upgrade
	var charge = (upradeCharge*level)+upradeCharge;
	
  // Aktualisiert Kosten
	$('#slotUpgradeCharge').text(n(charge));
	
	// Speicherung im Storgage
	localStorage.setItem('slotLevel', newLevel);
	localStorage.setItem('slotUpgradeCharge', charge);
	localStorage.setItem('slotUpgradeChargeFormat', n(charge));
	
	save();	
}  

// Seknkt die Kosten für das Recherchieren neuer Unternehmen um 10 %
function upCompanyListCharge() {
  
  // Holt Kontostand (account)
  var account = parseFloat($("#account").attr('data-account')); 
	
	// Holt aktuellen Level
	var level = parseInt(localStorage.getItem('companyListChargeLevel'));
	
	// Holt Upgrade Kosten aus der Config
	var upradeCharge = parseInt(localStorage.getItem('companyListChargeLevelCharge'));	


  // Prüfen ob Geld ausreicht für den Kauf
  if (account < upradeCharge) {
    message(lang.notEnoughMoney); 
    return;       
  } else {            
    // Geld vom Konto abziehen        
    decreaseAccount(upradeCharge); 
  }  
  
  var newLevel = parseInt(level + 1);    
	
	// Aktualisiert Nummer-Badge
	$('#companyListChargeLevel').text(newLevel);
	
  // Berechnet Kosten für das nchste Upgrade
	var charge = (upradeCharge*level)+upradeCharge;
	
  // Aktualisiert Kostennumeral
	$('#companyListChargeLevelCharge').text(n(charge));
	
	// Berechnung der neuen Kosten
	var companyListCharge = localStorage.getItem('companyListCharge');
	var companyListCharge = companyListCharge - ((companyListCharge/100)*10);	
	
	localStorage.setItem('companyListCharge', companyListCharge);
	
	// Aktualsiert Kosten
	$('#companyListCharge').text(n(companyListCharge));
	
	// Speicherung im Storgage
	localStorage.setItem('companyListChargeLevel', newLevel);
	localStorage.setItem('companyListChargeLevelCharge', charge);
	localStorage.setItem('companyListChargeLevelChargeFormat', n(charge));
	
	save();	
} 



// Erhöht Forschungsabteilung Level und senkt Kosten für die Produktentwicklung 
function upResearchLevel() {
  
  // Holt Kontostand (account)
  var account = parseFloat($("#account").attr('data-account')); 
	
	// Holt aktuellen Level
	var level = parseInt(localStorage.getItem('researchLevel'));
	
	// Holt Upgrade Kosten aus der Config
	var upradeCharge = parseInt(localStorage.getItem('researchLevelCharge'));	


  // Prüfen ob Geld ausreicht für den Kauf
  if (account < upradeCharge) {
    message(lang.notEnoughMoney); 
    return;       
  } else {            
    // Geld vom Konto abziehen        
    decreaseAccount(upradeCharge); 
  }  
  
  var newLevel = parseInt(level + 1);    
	
	// Aktualisiert Nummer-Badge
	$('#researchLevel').text(newLevel);
	
  // Berechnet Kosten für das nächste Upgrade
	var charge = upradeCharge + ((upradeCharge/100)*50);
  
  // Senkt die Kosten für die Produktentwicklung und aktualisiert View + Storage
  var branchLevelUpgradeCharge = localStorage.getItem('branchLevelUpgradeCharge');	
  var branchLevelUpgradeCharge = branchLevelUpgradeCharge/2;
	$('#branchLevelUpgradeCharge').text(n(branchLevelUpgradeCharge));
  localStorage.setItem('branchLevelUpgradeCharge', branchLevelUpgradeCharge);	
	localStorage.setItem('branchLevelUpgradeChargeFormat', n(branchLevelUpgradeCharge));
	
  // Aktualisiert Kosten
	$('#researchLevelChargeFormat').text(n(charge));
	
	// Speicherung im Storgage
	localStorage.setItem('researchLevel', newLevel);
	localStorage.setItem('researchLevelCharge', charge);
	localStorage.setItem('researchLevelChargeFormat', n(charge));
	
	save();	
} 


// Erhöht die Qualität der recherchierten Unternehmen (faktor erhöhung / Potential)
function upEducationLevel() {
  
  // Holt Kontostand (account)
  var account = parseFloat($("#account").attr('data-account')); 
	
	// Holt aktuellen Level
	var level = parseInt(localStorage.getItem('educationLevel'));
	
	// Holt Upgrade Kosten aus der Config
	var upradeCharge = parseInt(localStorage.getItem('educationLevelCharge'));	


  // Prüfen ob Geld ausreicht für den Kauf
  if (account < upradeCharge) {
    message(lang.notEnoughMoney); 
    return;       
  } else {            
    // Geld vom Konto abziehen        
    decreaseAccount(upradeCharge); 
  }  
  
  var newLevel = parseInt(level + 1);    
	
	// Aktualisiert Nummer-Badge
	$('#educationLevel').text(newLevel);
	
  // Berechnet Kosten für das nächste Upgrade
	var charge = upradeCharge + ((upradeCharge/100)*10);
  
  // Aktualisiert Kosten
	$('#educationLevelChargeFormat').text(n(charge));
	
	// Speicherung im Storgage
	localStorage.setItem('educationLevel', newLevel);
	localStorage.setItem('educationLevelCharge', charge);
	localStorage.setItem('educationLevelChargeFormat', n(charge));

	save();	
} 